import Utils from "~/utils"

/**
* Infcpd Check规则
*/
let checkObj = {
    "cpdgrp.snd.adrelc"                      :null,
    "recpan.orip.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.ori.pts.adrblk"                      :null,
    "cpdgrp.orc.pts.adrblk"                      :null,
    "cpdgrp.snd.pts.nam"                      :null,
    "recpan.pyebchnam"                      :null,
    "cpdgrp.orc.pts.extkey"                      :null,
    "cpdgrp.pye.namelc"                      :null,
    "recpan.recget.sdamod.dadsnd"                      :null,
    "cpdgrp.orc.namelc"                      :null,
    "recpan.pyebchkey"                      :null,
    "cpdgrp.orc.adrelc"                      :null,
    "recpan.secmod"                      :null,
    "cpdgrp.ori.adrelc"                      :null,
    "cpdgrp.snd.pts.adrblk"                      :null,
    "cpdgrp.ori.pts.ref"                      :null,
    "recpan.orcp.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.ori.pts.extkey"                      :null,
    "cpdgrp.pye.pts.extkey"                      :null,
    "cpdgrp.pye.pts.adrblk"                      :null,
    "cpdgrp.rec.trntyp"                      :null,
    "cpdgrp.ori.namelc"                      :null,
    "cpdgrp.snd.pts.extkey"                      :null,
    "cpdgrp.rec.sztyp"                      :null,
    "infcon.seaamtto"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "cpdgrp.pye.adrelc"                      :null,
    "recpan.pyep.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.rec.swftyp"                      :null,
    "cpdgrp.rec.paydat"                      :null,
    "recpan.liqtyp"                      :null,
    "recpan.sndp.ptsget.sdamod.dadsnd"                      :null,
    "cpdgrp.rec.sysno"                      :null,
    "cpdgrp.rec.clityp"                      :null,
    "cpdgrp.snd.namelc"                      :null,
    "countcode"                      :null,
    "cpdgrp.rec.paytype"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

