
export default class Rec {
    constructor() {
        this.data = {
            ownref: "",			//  Reference		.ledgrp.rec.ownref
            nam: "",			//  Name		.ledgrp.rec.nam
            lcrtyp: "",			//  Form of L/C		.ledgrp.rec.lcrtyp
            collflg: "",			//  Collateralized L/C		.ledgrp.rec.collflg
            nomtop: "",			//  Amount Tolerance +/-		.ledgrp.rec.nomtop
            nomton: "",			//  Amount Tolerance - Negative		.ledgrp.rec.nomton
            nomspc: "",			//  Amount Specification		.ledgrp.rec.nomspc
            inctrf: "",			//  Incoming Transfer		.ledgrp.rec.inctrf
            resflg: "",			//  Reserved Contract		.ledgrp.rec.resflg
            opndat: "",			//  Issued on		.ledgrp.rec.opndat
            preadvdt: "",			//  Date Pre-advised		.ledgrp.rec.preadvdt
            shpdat: "",			//  Shipment Date		.ledgrp.rec.shpdat
            advdat: "",			//  Released on		.ledgrp.rec.advdat
            expdat: "",			//  Expiring on		.ledgrp.rec.expdat
            expplc: "",			//  in (Place)/ counters of		.ledgrp.rec.expplc
            cnfdet: "",			//  Confirmation Instruct.		.ledgrp.rec.cnfdet
            apprul: "",			//  Applicable Rules		.ledgrp.rec.apprul
            apprultxt: "",			//  Other Applicable Rules		.ledgrp.rec.apprultxt
            shppar: "",			//  Partial Shipment		.ledgrp.rec.shppar
            shptrs: "",			//  Transshipment		.ledgrp.rec.shptrs
            revflg: "",			//  Revolving Flag		.ledgrp.rec.revflg
            nonban: "",			//  Non-Bank Issuer		.ledgrp.rec.nonban
            teskeyunc: "",			//  Test Key Unconfirmity		.ledgrp.rec.teskeyunc
            dbtflg: "",			//  Authorization to Debit		.ledgrp.rec.dbtflg
            oppbnk: "",			//  境内外对手行代码		.ledgrp.rec.oppbnk
            shppars18: "",			//  Partial Shipment		.ledgrp.rec.shppars18
            shptrss18: "",			//  Transshipment		.ledgrp.rec.shptrss18
            avbwth: "",			//  Available with		.ledgrp.rec.avbwth
            avbby: "",			//  Available by		.ledgrp.rec.avbby
            shpfro: "",			//  Dispatch from		.ledgrp.rec.shpfro
            porloa: "",			//  Air-/Port of Departure		.ledgrp.rec.porloa
            pordis: "",			//  Air-/Port of Destination		.ledgrp.rec.pordis
            shpto: "",			//  Final Destination		.ledgrp.rec.shpto
            chato: "",			//  Own Charges Borne by		.ledgrp.rec.chato
            stacty: "",			//  Country Code for Statistics		.ledgrp.rec.stacty
            tenmaxday: "",			//  Maximum Tenor		.ledgrp.rec.tenmaxday
            prepers18: "",			//  Days of presentation period		.ledgrp.rec.prepers18
            prepertxts18: "",			//  Presentation period text		.ledgrp.rec.prepertxts18
            cnfins: "",			//  Confirm. Instruct.		.ledgrp.rec.cnfins
            aplbnkdirsnd: "",			//  Send Directly to Applicant's Bank		.ledgrp.rec.aplbnkdirsnd
            stagod: "",			//  Goods Code 		.ledgrp.rec.stagod
            redclsflg: "",			//  Red/Green Clause		.ledgrp.rec.redclsflg
            spcbenflg: "",			//  Special payment conditions for beneficiary exists		.ledgrp.rec.spcbenflg
            spcrcbflg: "",			//  Special payment conditions for receiving bank exists		.ledgrp.rec.spcrcbflg
            revtyp: "",			//  Revolving Type		.ledgrp.rec.revtyp
            revcum: "",			//  Credit is Marked as Cumulative		.ledgrp.rec.revcum
            revtimes: "",			//  Revolve Times		.ledgrp.rec.revtimes
            revnbr: "",			//  Revolving Count		.ledgrp.rec.revnbr
            revdat: "",			//  Next Revolve Date		.ledgrp.rec.revdat
        }
    }
}