import Utils from "~/utils"

/**
* Infdid Check规则
*/
let checkObj = {
    "didgrp.cmb.pts.dizhii"                      :null,
    "didgrp.adv.pts.dizhii"                      :null,
    "didgrp.rec.expplc"                      :null,
    "didgrp.rec.fqtime"                      :null,
    "didgrp.apc.pts.dizhii"                      :null,
    "didgrp.adv.pts.bankno"                      :null,
    "didgrp.iss.pts.extkey"                      :null,
    "didgrp.rec.sdsrfs"                      :null,
    "didgrp.rec.fqzytgfw"                      :null,
    "didgrp.rec.conamt"                      :null,
    "didgrp.apc.pts.bankno"                      :null,
    "didgrp.rec.shppro"                      :null,
    "didgrp.rec.shpto"                      :null,
    "didgrp.ben.namelc"                      :null,
    "didgrp.rmb.pts.dizhii"                      :null,
    "didgrp.cmb.pts.bankno"                      :null,
    "didgrp.apl.pts.extkey"                      :null,
    "didgrp.apb.pts.bankno"                      :null,
    "didgrp.avb.pts.bankno"                      :null,
    "didgrp.rmb.pts.bankno"                      :null,
    "recpan.usr.extkey"                      :null,
    "didgrp.ben.adrelc"                      :null,
    "didgrp.rec.conno"                      :null,
    "didgrp.blk.defdet"                      :null,
    "didgrp.blk.insbnk"                      :null,
    "didgrp.beb.pts.bankno"                      :null,
    "didgrp.apl.pts.adrblk"                      :null,
    "didgrp.rec.lcrtyp"                      :null,
    "didgrp.adv.pts.jigomc"                      :null,
    "didgrp.iss.pts.jigomc"                      :null,
    "didgrp.rec.shpfro"                      :null,
    "didgrp.apc.pts.jigomc"                      :null,
    "didgrp.iss.pts.dizhii"                      :null,
    "didgrp.iss.pts.bankno"                      :null,
    "didgrp.blk.lcrgod"                      :null,
    "didgrp.blk.stamet"                      :null,
    "infcon.seaamtto"                      :null,
    "didgrp.apl.namelc"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "didgrp.ben.pts.adrblk"                      :null,
    "didgrp.beb.pts.jigomc"                      :null,
    "didgrp.rec.opndat"                      :null,
    "didgrp.rmb.pts.jigomc"                      :null,
    "didgrp.rec.mytype"                      :null,
    "didgrp.avb.pts.dizhii"                      :null,
    "didgrp.adv.pts.extkey"                      :null,
    "didgrp.ben.pts.extkey"                      :null,
    "didgrp.rec.avbwth"                      :null,
    "didgrp.blk.lcrdoc"                      :null,
    "didgrp.rec.tenmaxday"                      :null,
    "didgrp.blk.preper"                      :null,
    "didgrp.cmb.pts.jigomc"                      :null,
    "didgrp.apl.adrelc"                      :null,
    "didgrp.apb.pts.jigomc"                      :null,
    "didgrp.blk.adlcnd"                      :null,
    "didgrp.avb.pts.jigomc"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

