export default class Did {
    constructor() {
        this.data = {
            ownref: "",			//  Reference		.didgrp.rec.ownref
            opndat: "",			//  Date L/C Opened/Issued		.didgrp.rec.opndat
            shpdat: "",			//  Shipment Date		.didgrp.rec.shpdat
            expdat: "",			//  Date of Expiry		.didgrp.rec.expdat
            nam: "",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
            resflg: "",			//  Reserved Contract		.didgrp.rec.resflg
            nomtop: "",			//  Amount Tolerance - Positive		.didgrp.rec.nomtop
            nomton: "",			//  Amount Tolerance - Negative		.didgrp.rec.nomton
            expplc: "",			//  Place of Expiry		.didgrp.rec.expplc
            elcflg: "",			//  是否通过电证系统		.didgrp.rec.elcflg
            guaflg: "",			//  货押标识		.didgrp.rec.guaflg
            jyqflg: "",			//  假远期信用证		.didgrp.rec.jyqflg
            mytype: "",			//  槸易类型		.didgrp.rec.mytype
            dkflg: "",			//  开证类型		.didgrp.rec.dkflg
            idcode: "",			//  申请人统一社会信用代码		.didgrp.rec.idcode
            revtyp: "",			//  Revolving Type		.didgrp.rec.revtyp
            revtimes: "",			//  Revolve Times		.didgrp.rec.revtimes
            revnbr: "",			//  Number of Revolvings under L/C		.didgrp.rec.revnbr
            revdat: "",			//  Next Revolve Date		.didgrp.rec.revdat
            revawapl: "",			//  Awaiting Applicant's Request		.didgrp.rec.revawapl
            revcum: "",			//  Credit is Marked as Cumulative		.didgrp.rec.revcum
            redclsflg: "",			//  Red/Green Clause		.didgrp.rec.redclsflg
            rmbcha: "",			//  Charges Definition		.didgrp.rec.rmbcha
            rmbact: "",			//  Reimbursing Bank Account Identification		.didgrp.rec.rmbact
            apprulrmb: "",			//  Applicable Rules RMB		.didgrp.rec.apprulrmb
            autdat: "",			//  Date of Authorisation to Reimburse		.didgrp.rec.autdat
            avbby: "",			//  Available by		.didgrp.rec.avbby
            shppar: "",			//  Partial Shipment		.didgrp.rec.shppar
            shptrs: "",			//  Transshipment		.didgrp.rec.shptrs
            conno: "",			//  合同编号		.didgrp.rec.conno
            concur: "",			//  合同币种		.didgrp.rec.concur
            shpfro: "",			//  Shipment from		.didgrp.rec.shpfro
            shpto: "",			//  For Transportation to		.didgrp.rec.shpto
            shppro: "",			//  服务提供地点		.didgrp.rec.shppro
            tenmaxday: "",			//  Maximum tenor in days		.didgrp.rec.tenmaxday
            tratyp: "",			//  运输方式		.didgrp.rec.tratyp
            fqtime: "",			//  分期时镧表		.didgrp.rec.fqtime
            sdsrfs: "",			//  输入运输方式		.didgrp.rec.sdsrfs
            fqzytgfw: "",			//  分期装运/提供服务		.didgrp.rec.fqzytgfw
            conamt: "",			//  合同金额		.didgrp.rec.conamt
            tzref: "",			//  通知行编号		.didgrp.rec.tzref
            avbwth: "",			//  指定的有关银行  		.didgrp.rec.avbwth
            fenctg: "",			//  是否可议付		.didgrp.rec.fenctg
            bdflg: "",			//  是否可保兑		.didgrp.rec.bdflg
            lcrtyp: "",			//  Form of Documentary Credit		.didgrp.rec.lcrtyp
        }
    }
}
